Skip to main content
PATCH
Update a status page surface

Path Parameters

statusPageId
string
required

Status page ID (UUID) or slug.

Required string length: 1 - 64
surfaceId
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 120
description
string | null

Short text shown under the surface's name.

Maximum string length: 500
sectionId
string<uuid> | null
position
integer
Required range: 0 <= x <= 9007199254740991
showUptime
boolean

Response

200 - application/json

OK

surface
object
required